#ifndef DOWNLOADABLEFILE_H
#define DOWNLOADABLEFILE_H

#include "binaryverifier.h"

#include <QString>

class DownloadableFile
{
public:
    DownloadableFile();

    bool open(const QString& filenme);

    BinaryFileInfo info() const {return m_info;}

private:
    QString m_fn;
    BinaryFileInfo m_info;
};

#endif // DOWNLOADABLEFILE_H
